My Account  |  Cart  |  

System Requirements

Portfolio 2016 for Mac

  • macOS™ v10.10, 10.11, or 10.12 (Sierra)
  • 2.0 GHz or faster 4-core processor
  • 16 GB RAM
  • 1000 Mbit/s or faster network connection

Browsers supported for NetPublish™ sites: Internet Explorer 10 or later, Microsoft Edge, Safari 5.1 or later, the latest release of Firefox, and the latest release of Chrome.

See Full System Requirements

Portfolio 2016 for Windows

  • Windows® Server 2008 R2 SP1, Windows Server 2012, Windows Server 2012 R2, or Windows Server 2016
  • 2.0 GHz or faster 4-core processor
  • 16 GB RAM
  • 1000 Mbit/s or faster network connection

Browsers supported for NetPublish™ sites: Internet Explorer 10 or later, Microsoft Edge, Safari 5.1 or later, the latest release of Firefox, and the latest release of Chrome.

See Full System Requirements

Additional Requirements

Portfolio 2016 Express

Portfolio Flow (iPhone)

Portfolio Flow (Android)


Product Compatibility

Portfolio Support Guide